GNU bug report logs - #35147
[PATCH 1/2] gnu: Add apsl2.0.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Pierre Neidhardt <mail@HIDDEN>; Keywords: patch; dated Thu, 4 Apr 2019 16:49:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 35147 <at> debbugs.gnu.org:


Received: (at 35147) by debbugs.gnu.org; 19 May 2022 21:25:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 19 17:25:17 2022
Received: from localhost ([127.0.0.1]:36730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrne1-0005Zc-17
	for submit <at> debbugs.gnu.org; Thu, 19 May 2022 17:25:17 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:44940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1nrndu-0005Yg-Qv
 for 35147 <at> debbugs.gnu.org; Thu, 19 May 2022 17:25:11 -0400
Received: by mail-wr1-f44.google.com with SMTP id h5so7756006wrb.11
 for <35147 <at> debbugs.gnu.org>; Thu, 19 May 2022 14:25:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=+os3Uf+SaoXXtpng8Segs9eRpmmj1cQhfvJWXwo3pSM=;
 b=LS5WdOML5dYjsObkUSP1CtWt60P0E0+uCcqavHcETnmwslX2ufWsqfX2inF0fBICcl
 ELRAi7/Vwz8KjcPPIwVmHXeudy6cuyUET5ZPpnz2MYCpdt1joIUuqZnEyeGHn/wxn088
 TarOPJsCSkGIFVw7QupOZhIUQzdZZo1PYwM8k2ZWzNhrBoza1iSaUk5K4UJaG5lmwqWz
 KNFWquMcsWspwcxraCaCHigCbstJXSyf4NQWg440v8yzct4S8fYd+N7kMuUoMSJafiT7
 zUW8E3uohUnJQCOJs0qRm7iciKXp7Hvr21u/M9tKy+o2iOv5JO8PyeNX05RlcnrXV1lX
 utXg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=+os3Uf+SaoXXtpng8Segs9eRpmmj1cQhfvJWXwo3pSM=;
 b=Q8DGWLNZBQzzsWprnMiinhP/66ImU7IIEXWYY1k6MPzw57NjN7HSUi2/LB8n9BzMth
 0bahm1Bpkd2WTsLwN3LgTifkGq0hpTUnmXELlicn6ohkRl23tOvhkeKwgn9BnqXFnT7/
 CbwNTJZq428eP5F6IkAyyGUE27szwGjc8Y644/d/q4xfAeajj+RadYjqQ/yBDE5DrPPP
 Wq4uBbL2JKsT8YwzTsWbAAnE+9Q+JBVGXyJtpNd5khM8tRN1yCICWfq3Kh0aFpOYujRc
 5RcmZOhZp+QtFDS8ehqJldA4R/zp/SdXIbVOlgAsSUcVEdip/LXZYbiLWLcO+Kfih+gT
 JGSQ==
X-Gm-Message-State: AOAM530Qtuas0+F5/rkun/ypQcKJWIfrxwm7vUvrG9Ty6ROIkShSr4Ht
 ANNv+WhpIvrQJaYkZOtVCEV3KsTsxNI=
X-Google-Smtp-Source: ABdhPJycuI0F4fLrlA+cRTcxLeLO3QBDBP/FbxDE2Ao9HOuir569UZxzhfMTfHsopdwsugeXwmXDXw==
X-Received: by 2002:adf:fb04:0:b0:20c:dcbb:95bc with SMTP id
 c4-20020adffb04000000b0020cdcbb95bcmr5699706wrr.393.1652995505230; 
 Thu, 19 May 2022 14:25:05 -0700 (PDT)
Received: from lili ([146.0.30.100]) by smtp.gmail.com with ESMTPSA id
 l24-20020adfa398000000b0020e60baffd1sm576605wrb.52.2022.05.19.14.25.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 19 May 2022 14:25:04 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#35147: [PATCH 1/2] gnu: Add apsl2.0.
References: <20190404164814.26096-1-mail@HIDDEN>
 <handler.35147.B.155439651118672.ack <at> debbugs.gnu.org>
 <87pnq1n1xb.fsf@HIDDEN> <86a6cx2h5g.fsf_-_@HIDDEN>
Date: Thu, 19 May 2022 23:24:23 +0200
In-Reply-To: <86a6cx2h5g.fsf_-_@HIDDEN> (zimoun's message of "Thu, 07 Apr
 2022 14:48:43 +0200")
Message-ID: <86ee0p8bco.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, On Thu, 07 Apr 2022 at 14:48, zimoun wrote: > On Thu,
 04 Apr 2019 at 18:57, Pierre Neidhardt wrote: > This old submission [1] is
 not merged yet. > > 1: <http://issues.guix.gnu.org/issue/35147> > 
 Content analysis details:   (1.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.44 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (zimon.toutoune[at]gmail.com)
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.44 listed in wl.mailspike.net]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 35147
Cc: 35147 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

Hi,

On Thu, 07 Apr 2022 at 14:48, zimoun <zimon.toutoune@HIDDEN> wrote:
> On Thu, 04 Apr 2019 at 18:57, Pierre Neidhardt <mail@HIDDEN> wrote:

> This old submission [1] is not merged yet.
>
> 1: <http://issues.guix.gnu.org/issue/35147>
>

> Do we drop this submission?  If not, what is missing for merging it?

I am proposing to drop this submission if no objection.


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#35147; Package guix-patches. Full text available.

Message received at 35147 <at> debbugs.gnu.org:


Received: (at 35147) by debbugs.gnu.org; 7 Apr 2022 12:49:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 07 08:49:32 2022
Received: from localhost ([127.0.0.1]:60146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ncRZs-00085t-J5
	for submit <at> debbugs.gnu.org; Thu, 07 Apr 2022 08:49:32 -0400
Received: from mail-wm1-f51.google.com ([209.85.128.51]:35501)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ncRZn-00085S-Uf
 for 35147 <at> debbugs.gnu.org; Thu, 07 Apr 2022 08:49:31 -0400
Received: by mail-wm1-f51.google.com with SMTP id
 c190-20020a1c35c7000000b0038e37907b5bso5636609wma.0
 for <35147 <at> debbugs.gnu.org>; Thu, 07 Apr 2022 05:49:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=CEh07qr01OFbUONVMRfNF3sAGN3OtHG/qKv6mdfctQk=;
 b=Pz/hs7S5/qPZHaJOV94nNPBN3fTsOokVG5EkvQ7HN7QUVmZN/wA5mN8OgcHpm6lMbb
 G1JAHsv5reWxKy6N6ZI9EdZ7BubG6OsWl8ed3IONBZG41l5/4s2uKv4PFWnTPaBOX6Ei
 IWB8OpjpnJkdhYHAYqqdNo2gRoOXNZvZWaFzdmTuG58S2ah7RtDM1D1IYf0vFtzEd+Ia
 EzChGUkIRNABpH3h+KBYtxCUDxI0MxPq4eASiRhJTuKN59cE5/VNP343RhM9mFafUDq+
 byNLmSp1i3Lqigsm78Mzafde6Cez42N6yejG7aFzXpSBnwj6McE+WtZ2sHSYshGqD9ew
 iIgg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=CEh07qr01OFbUONVMRfNF3sAGN3OtHG/qKv6mdfctQk=;
 b=ehI3W4cQjJ7aguEiMxG3wjlnMIRGvAH+dKvOG+6qs9hqeG2z32g2qCS74YX0vGe+7T
 L7Gs/F/08lUANcj8LiTP3yJbzxOe84fPHR4o3P+nW6YE0SSI6ojtAXMO+eNmJDilN8jd
 Ix+N3azUaZQqo6Km/fMsCQsgDEoJl3whMdTgxFwDUkqL3vcDbdn4Aj6jkXpK8q2CINAu
 JLKDLcIGwIYxvRorgeM9VgN4KTQKt+pSAvq5SuHfXA6yrJq1agf1HItKkUnkhVFyWZWN
 4vG6KD6TTzErTgHsOPt4Bu/YDTVWrGkiqaSYPVB0FPzbA+n6Usjke3jpI1lRWCToqVYd
 R1Gg==
X-Gm-Message-State: AOAM533f0PC1OFdFASd443OpVPPpDYIrPcjeG1Xg0oUWb0D3paUbgf3+
 hIwctiVIAtQhKFU0oCVrTY5lcCK7m+0=
X-Google-Smtp-Source: ABdhPJySSb9p4o0F8keq/oSrTFFXvKlTxf1Hv8iaMfauIPAJTH/zzQCe4MRUD3J9EuRoMBC3ai7C4A==
X-Received: by 2002:a05:600c:35cc:b0:38c:6d25:f4ad with SMTP id
 r12-20020a05600c35cc00b0038c6d25f4admr12051349wmq.127.1649335761995; 
 Thu, 07 Apr 2022 05:49:21 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id
 14-20020a056000154e00b00203f8adde0csm21204686wry.32.2022.04.07.05.49.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 07 Apr 2022 05:49:21 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#35147: [PATCH 1/2] gnu: Add apsl2.0.
References: <20190404164814.26096-1-mail@HIDDEN>
 <handler.35147.B.155439651118672.ack <at> debbugs.gnu.org>
 <87pnq1n1xb.fsf@HIDDEN>
Date: Thu, 07 Apr 2022 14:48:43 +0200
In-Reply-To: <87pnq1n1xb.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Thu, 04 Apr 2019 18:57:36 +0200")
Message-ID: <86a6cx2h5g.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi,
 This old submission [1] is not merged yet. 1:
 <http://issues.guix.gnu.org/issue/35147>
 Content analysis details:   (1.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.51 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.51 listed in wl.mailspike.net]
 0.0 T_SPF_HELO_TEMPERROR   SPF: test of HELO record failed (temperror)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (zimon.toutoune[at]gmail.com)
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 35147
Cc: 35147 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

Hi,

This old submission [1] is not merged yet.

1: <http://issues.guix.gnu.org/issue/35147>


On Thu, 04 Apr 2019 at 18:57, Pierre Neidhardt <mail@HIDDEN> wrote:

> I've got a weird issue with the Makefile:
>
> CFLAGS += -I$(PWD)/include -DDEBUG_BUILD=0 -D_FILE_OFFSET_BITS=64 -D LINUX=1 -D BSD=1 -D VERSION=\"$(VERSION)\"
>
> PWD is expanded to the parent directory of the current directory (what
> the hell?!?), I had to force it to the current directory for it to
> work.  Any clue what's going on?

Is it the blocker?


> It seems to work beside

I miss how it can work beside that.


What is the next step?  Especially about the addition of the Apple
license to the guix/licenses.scm file.

Do we drop this submission?  If not, what is missing for merging it?


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#35147; Package guix-patches. Full text available.

Message received at 35147 <at> debbugs.gnu.org:


Received: (at 35147) by debbugs.gnu.org; 4 Apr 2019 16:57:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 04 12:57:42 2019
Received: from localhost ([127.0.0.1]:44635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hC5gL-00054q-Qs
	for submit <at> debbugs.gnu.org; Thu, 04 Apr 2019 12:57:42 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:42905)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1hC5gK-00054h-5T
 for 35147 <at> debbugs.gnu.org; Thu, 04 Apr 2019 12:57:40 -0400
X-Originating-IP: 92.169.116.19
Received: from bababa (lfbn-1-4117-19.w92-169.abo.wanadoo.fr [92.169.116.19])
 (Authenticated sender: pierre@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 916FF240011
 for <35147 <at> debbugs.gnu.org>; Thu,  4 Apr 2019 16:57:36 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: 35147 <at> debbugs.gnu.org
Subject: Re: bug#35147: Acknowledgement ([PATCH 1/2] gnu: Add apsl2.0.)
In-Reply-To: <handler.35147.B.155439651118672.ack <at> debbugs.gnu.org>
References: <20190404164814.26096-1-mail@HIDDEN>
 <handler.35147.B.155439651118672.ack <at> debbugs.gnu.org>
Date: Thu, 04 Apr 2019 18:57:36 +0200
Message-ID: <87pnq1n1xb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35147
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

I've got a weird issue with the Makefile:

=2D-8<---------------cut here---------------start------------->8---
CFLAGS +=3D -I$(PWD)/include -DDEBUG_BUILD=3D0 -D_FILE_OFFSET_BITS=3D64 -D =
LINUX=3D1 -D BSD=3D1 -D VERSION=3D\"$(VERSION)\"
=2D-8<---------------cut here---------------end--------------->8---

PWD is expanded to the parent directory of the current directory (what
the hell?!?), I had to force it to the current directory for it to
work.  Any clue what's going on?

It seems to work beside that.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAlymN4AACgkQm9z0l6S7
zH+5Xwf6A3PBkAyCMSyZMb4C+H1OPiSEw6ESAt5bQv9amuwQ9p9gVKjfQE0tNGnO
aPTdM/15B/DAa7c3ftGJpFu4Wy6Vc8zFBN6h/8/mW9G4Rq1kY0T5PPXwHHkav+lZ
SXyGb4r1JVZ3sTysNDCREiM/AJJXUZdNla8AGjPxtMhTvhHph/iOuxXnVuMPzeyX
qn/Zcr9fN680/LCtgvt34j+sGop9XvP3vviR7OLDpfT6GAoDs5uK6ZliV9+laoTh
GE+604ItGeO6xcNvhFKXSLXi5gm3/RfokpicMgNtUI+tGs3/elYK42mt/8HcLzs6
uB1NxaBGvNrRic9qYM8YXUGwxkTJSw==
=436v
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#35147; Package guix-patches. Full text available.

Message received at 35147 <at> debbugs.gnu.org:


Received: (at 35147) by debbugs.gnu.org; 4 Apr 2019 16:50:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 04 12:50:03 2019
Received: from localhost ([127.0.0.1]:44625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hC5Yt-0004tT-7W
	for submit <at> debbugs.gnu.org; Thu, 04 Apr 2019 12:50:03 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:55231)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1hC5Yq-0004tJ-H7
 for 35147 <at> debbugs.gnu.org; Thu, 04 Apr 2019 12:49:57 -0400
X-Originating-IP: 92.169.116.19
Received: from localhost.localdomain (lfbn-1-4117-19.w92-169.abo.wanadoo.fr
 [92.169.116.19]) (Authenticated sender: mail@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 6A4BB1C0002
 for <35147 <at> debbugs.gnu.org>; Thu,  4 Apr 2019 16:49:55 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: 35147 <at> debbugs.gnu.org
Subject: [PATCH 2/2] gnu: Add hfsprogs.
Date: Thu,  4 Apr 2019 18:49:54 +0200
Message-Id: <20190404164954.26854-1-mail@HIDDEN>
X-Mailer: git-send-email 2.21.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35147
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/linux.scm (hfsprogs): New variable.
---
 gnu/packages/linux.scm                        |  54 +++++++
 .../patches/hfsplus-tools-no-blocks.patch     | 147 ++++++++++++++++++
 2 files changed, 201 insertions(+)
 create mode 100644 gnu/packages/patches/hfsplus-tools-no-blocks.patch

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 06bf8095be..dcc9e946a2 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -80,8 +80,10 @@
   #:use-module (gnu packages gnuzilla)
   #:use-module (gnu packages gperf)
   #:use-module (gnu packages gtk)
+  #:use-module (gnu packages libbsd)
   #:use-module (gnu packages libunwind)
   #:use-module (gnu packages libusb)
+  #:use-module (gnu packages llvm)
   #:use-module (gnu packages man)
   #:use-module (gnu packages maths)
   #:use-module (gnu packages multiprecision)
@@ -5329,3 +5331,55 @@ have to construct the archives directly, without using the archiver.")
     (description "inputattach dispatches input events from several device
 types and interfaces and translates so that the X server can use them.")
     (license license:gpl2+)))
+
+(define-public hfsprogs
+  (package
+    (name "hfsprogs")
+    (version "540.1")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    ;; The tarball from
+                    ;; https://opensource.apple.com/tarballs/diskdev_cmds/
+                    ;; does not contain any Makefile.
+                    "http://cavan.codon.org.uk/~mjg59/diskdev_cmds/diskdev_cmds-"
+                    version ".linux3.tar.gz"))
+              (sha256
+               (base32
+                "15sl9z1dafykj3b249z6a82p74ljqpgkvh97l0vbz8zrjwx206xh"))
+              ;; The patch cleans up the Makefile so we don't need clang, among others.
+              (patches (search-patches "hfsplus-tools-no-blocks.patch"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:tests? #f                      ; No tests.
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (replace 'build
+           (lambda _
+             ;; FIXME: Weirdly enough, PWD points to the parent directory when
+             ;; expanded in the CFLAGS, which leads the build to fail with
+             ;; "missing.h" not found.
+             (invoke "make" "CC=gcc"
+                     (string-append "PWD=" (getcwd)))))
+         (replace 'install
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (bin (string-append out "/bin/"))
+                    (doc (string-append out "/share/man/man8")))
+               (mkdir-p bin)
+               (copy-file "newfs_hfs.tproj/newfs_hfs" (string-append bin "/mkfs.hfsplus"))
+               (copy-file "fsck_hfs.tproj/fsck_hfs" (string-append bin "/fsck.hfsplus"))
+               (mkdir-p doc)
+               (copy-file "newfs_hfs.tproj/newfs_hfs.8" (string-append doc "/mkfs.hfsplus.8"))
+               (copy-file "fsck_hfs.tproj/fsck_hfs.8" (string-append doc "/fsck.hfsplus.8"))))))))
+    (inputs
+     `(("openssl" ,openssl)))
+    (native-inputs
+     `(("libbsd" ,libbsd)
+       ("util-linux" ,util-linux)))
+    (home-page "https://opensource.apple.com/")
+    (synopsis "HFS/HFS+ file system tools")
+    (description "This package provides user space tools to create and check
+Apple HFS/HFS+ filesystems.")
+    (license license:apsl2.0)))
diff --git a/gnu/packages/patches/hfsplus-tools-no-blocks.patch b/gnu/packages/patches/hfsplus-tools-no-blocks.patch
new file mode 100644
index 0000000000..2017055744
--- /dev/null
+++ b/gnu/packages/patches/hfsplus-tools-no-blocks.patch
@@ -0,0 +1,147 @@
+diff -up diskdev_cmds-540.1.linux3/fsck_hfs.tproj/dfalib/SControl.c.jx diskdev_cmds-540.1.linux3/fsck_hfs.tproj/dfalib/SControl.c
+--- diskdev_cmds-540.1.linux3/fsck_hfs.tproj/dfalib/SControl.c.jx	2012-02-02 17:16:56.000000000 -0500
++++ diskdev_cmds-540.1.linux3/fsck_hfs.tproj/dfalib/SControl.c	2014-06-18 13:01:42.716781467 -0400
+@@ -200,6 +200,22 @@ isMinorError(int msg, int *counts)
+ 	}
+ }
+ 
++static int *msgCounts = NULL;
++static jmp_buf envBuf;
++
++static fsck_block_status_t
++fsckAfterCallback(fsck_ctx_t c, int msgNum, va_list args)
++{
++	if (abs(msgNum) > E_FirstError && abs(msgNum) < E_LastError) {
++		if (isMinorError(abs(msgNum), msgCounts) == 1)
++			return fsckBlockContinue;
++		longjmp(envBuf, 1);
++		return fsckBlockAbort;
++	} else {
++		return fsckBlockContinue;
++	}
++}
++
+ /*------------------------------------------------------------------------------
+ 
+ External
+@@ -207,7 +223,6 @@ External
+ 
+ ------------------------------------------------------------------------------*/
+ 
+-static jmp_buf				envBuf;
+ int
+ CheckHFS( const char *rdevnode, int fsReadRef, int fsWriteRef, int checkLevel, 
+ 	  int repairLevel, fsck_ctx_t fsckContext, int lostAndFoundMode, 
+@@ -222,7 +237,6 @@ CheckHFS( const char *rdevnode, int fsRe
+ 	int					isJournaled = 0;
+ 	Boolean 			autoRepair;
+ 	Boolean				exitEarly = 0;
+-	__block int *msgCounts = NULL;
+ 	Boolean				majorErrors = 0;
+ 
+ 	if (checkLevel == kMajorCheck) {
+@@ -292,16 +306,7 @@ CheckHFS( const char *rdevnode, int fsRe
+ 			 * the message in question corresponds to a major or a minor error.  If it's
+ 			 * major, we longjmp just above, which causes us to exit out early.
+ 			 */
+-			fsckSetBlock(fsckContext, fsckPhaseAfterMessage, (fsckBlock_t) ^(fsck_ctx_t c, int msgNum, va_list args) {
+-				if (abs(msgNum) > E_FirstError && abs(msgNum) < E_LastError) {
+-					if (isMinorError(abs(msgNum), msgCounts) == 1)
+-						return fsckBlockContinue;
+-					longjmp(envBuf, 1);
+-					return fsckBlockAbort;
+-				} else {
+-					return fsckBlockContinue;
+-				}
+-			});
++			fsckSetBlock(fsckContext, fsckPhaseAfterMessage, fsckAfterCallback);
+ 		}
+ 	}
+ DoAgain:
+diff -up diskdev_cmds-540.1.linux3/fsck_hfs.tproj/fsck_messages.c.jx diskdev_cmds-540.1.linux3/fsck_hfs.tproj/fsck_messages.c
+--- diskdev_cmds-540.1.linux3/fsck_hfs.tproj/fsck_messages.c.jx	2012-02-02 17:42:58.000000000 -0500
++++ diskdev_cmds-540.1.linux3/fsck_hfs.tproj/fsck_messages.c	2014-06-18 12:57:01.110952333 -0400
+@@ -29,7 +29,6 @@
+ #include <stdarg.h>
+ #include <string.h>
+ #include <assert.h>
+-#include <Block.h>
+ 
+ #include "fsck_messages.h"
+ #include "fsck_keys.h"
+@@ -287,20 +286,10 @@ fsckSetBlock(fsck_ctx_t c, fsck_block_ph
+ 	if (c != NULL) {
+ 		switch (phase) {
+ 		case fsckPhaseBeforeMessage:
+-			if (ctx->preMessage) {
+-				Block_release(ctx->preMessage);
+-				ctx->preMessage = NULL;
+-			}
+-			if (bp)
+-				ctx->preMessage = (fsckBlock_t)Block_copy(bp);
++			ctx->preMessage = bp;
+ 			break;
+ 		case fsckPhaseAfterMessage:
+-			if (ctx->postMessage) {
+-				Block_release(ctx->postMessage);
+-				ctx->postMessage = NULL;
+-			}
+-			if (bp)
+-				ctx->postMessage = (fsckBlock_t)Block_copy(bp);
++			ctx->postMessage = bp;
+ 			break;
+ 		case fsckPhaseNone:
+ 			/* Just here for compiler warnings */
+@@ -591,12 +580,6 @@ fsckDestroy(fsck_ctx_t c)
+ 	if (ctx->flags & cfFromFD) {
+ 		fclose(ctx->fp);
+ 	}
+-	if (ctx->preMessage) {
+-		Block_release(ctx->preMessage);
+-	}
+-	if (ctx->postMessage) {
+-		Block_release(ctx->postMessage);
+-	}
+ 
+ 	free(ctx);
+ 	return;
+diff -up diskdev_cmds-540.1.linux3/fsck_hfs.tproj/fsck_messages.h.jx diskdev_cmds-540.1.linux3/fsck_hfs.tproj/fsck_messages.h
+--- diskdev_cmds-540.1.linux3/fsck_hfs.tproj/fsck_messages.h.jx	2012-02-02 17:54:40.000000000 -0500
++++ diskdev_cmds-540.1.linux3/fsck_hfs.tproj/fsck_messages.h	2014-06-18 12:31:48.602094998 -0400
+@@ -139,7 +139,7 @@ typedef enum fsck_block_phase_type fsck_
+  * the third is a va_list of the arguments for the message.
+  */
+ 
+-typedef fsck_block_status_t (^fsckBlock_t)(fsck_ctx_t, int, va_list);
++typedef fsck_block_status_t (*fsckBlock_t)(fsck_ctx_t, int, va_list);
+ 
+ extern fsckBlock_t fsckGetBlock(fsck_ctx_t, fsck_block_phase_t);
+ extern void fsckSetBlock(fsck_ctx_t, fsck_block_phase_t, fsckBlock_t);
+diff -up diskdev_cmds-540.1.linux3/fsck_hfs.tproj/Makefile.lnx.jx diskdev_cmds-540.1.linux3/fsck_hfs.tproj/Makefile.lnx
+--- diskdev_cmds-540.1.linux3/fsck_hfs.tproj/Makefile.lnx.jx	2012-02-03 11:25:21.000000000 -0500
++++ diskdev_cmds-540.1.linux3/fsck_hfs.tproj/Makefile.lnx	2014-06-18 12:52:03.146015370 -0400
+@@ -4,7 +4,7 @@ OFILES = $(CFILES:.c=.o)
+ all: fsck_hfs
+ 
+ fsck_hfs: $(OFILES) dfalib/libdfa.a
+-	  $(CC) $(CFLAGS) $(LDFLAGS) $(OFILES) dfalib/libdfa.a -o fsck_hfs -lBlocksRunTime -lpthread
++	  $(CC) $(CFLAGS) $(LDFLAGS) $(OFILES) dfalib/libdfa.a -o fsck_hfs -lpthread
+ 
+ dfalib/libdfa.a: FORCE
+ 	$(MAKE) -C dfalib -f Makefile.lnx libdfa.a
+diff -up diskdev_cmds-540.1.linux3/Makefile.jx diskdev_cmds-540.1.linux3/Makefile
+--- diskdev_cmds-540.1.linux3/Makefile.jx	2012-02-16 15:00:18.000000000 -0500
++++ diskdev_cmds-540.1.linux3/Makefile	2014-06-18 12:42:59.015463500 -0400
+@@ -1,9 +1,8 @@
+ VERSION=540.1.linux3
+ 
+-CC := clang
+-CFLAGS := -g3 -Wall -fblocks -I$(PWD)/BlocksRunTime -I$(PWD)/include -DDEBUG_BUILD=0 -D_FILE_OFFSET_BITS=64 -D LINUX=1 -D BSD=1 -D VERSION=\"$(VERSION)\"
+-LDFLAGS := -Wl,--build-id -L$(PWD)/BlocksRunTime
+-SUBDIRS := BlocksRunTime newfs_hfs.tproj fsck_hfs.tproj
++CFLAGS += -I$(PWD)/include -DDEBUG_BUILD=0 -D_FILE_OFFSET_BITS=64 -D LINUX=1 -D BSD=1 -D VERSION=\"$(VERSION)\"
++LDFLAGS := -Wl,--build-id
++SUBDIRS := newfs_hfs.tproj fsck_hfs.tproj
+ 
+ all clean:
+ 	for d in $(SUBDIRS); do $(MAKE) -C $$d -f Makefile.lnx $@; done
-- 
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#35147; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Apr 2019 16:48:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 04 12:48:31 2019
Received: from localhost ([127.0.0.1]:44620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hC5XS-0004r6-Cu
	for submit <at> debbugs.gnu.org; Thu, 04 Apr 2019 12:48:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1hC5XO-0004qs-Or
 for submit <at> debbugs.gnu.org; Thu, 04 Apr 2019 12:48:27 -0400
Received: from lists.gnu.org ([209.51.188.17]:46691)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1hC5XJ-0003AT-IE
 for submit <at> debbugs.gnu.org; Thu, 04 Apr 2019 12:48:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49023)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1hC5XI-0001Q6-Ey
 for guix-patches@HIDDEN; Thu, 04 Apr 2019 12:48:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1hC5XH-00036I-Du
 for guix-patches@HIDDEN; Thu, 04 Apr 2019 12:48:20 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:59461)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1hC5XH-0002uR-4e
 for guix-patches@HIDDEN; Thu, 04 Apr 2019 12:48:19 -0400
X-Originating-IP: 92.169.116.19
Received: from localhost.localdomain (lfbn-1-4117-19.w92-169.abo.wanadoo.fr
 [92.169.116.19]) (Authenticated sender: mail@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 950E31C0006
 for <guix-patches@HIDDEN>; Thu,  4 Apr 2019 16:48:14 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 1/2] gnu: Add apsl2.0.
Date: Thu,  4 Apr 2019 18:48:14 +0200
Message-Id: <20190404164814.26096-1-mail@HIDDEN>
X-Mailer: git-send-email 2.21.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 217.70.183.197
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/licenses.scm (apsl2.0): New variable.
---
 guix/licenses.scm | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/guix/licenses.scm b/guix/licenses.scm
index 676e71acdb..623ec69898 100644
--- a/guix/licenses.scm
+++ b/guix/licenses.scm
@@ -34,6 +34,7 @@
   #:use-module (srfi srfi-9)
   #:export (license? license-name license-uri license-comment
             agpl1 agpl3 agpl3+
+            apsl2.0
             asl1.1 asl2.0
             boost1.0
             bsd-2 bsd-3 bsd-4
@@ -129,6 +130,11 @@
            "https://gnu.org/licenses/agpl.html"
            "https://gnu.org/licenses/why-affero-gpl.html"))
 
+(define apsl2.0
+  (license "APSL 2.0"
+           "https://opensource.apple.com/apsl/"
+           "Apple Public Source License 2.0"))
+
 (define asl1.1
   (license "ASL 1.1"
            "http://directory.fsf.org/wiki/License:Apache1.1"
-- 
2.21.0





Acknowledgement sent to Pierre Neidhardt <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#35147; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 19 May 2022 21:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.